% Processo tempo continuo
G = tf([100],[1 80 0]);
bode(G);
grid
pause

%% Specifiche
% - errore a regime nullo per disturbo additivo sull'ingresso del
%   processo a gradino 
% - s% <= 20% (margine di fase >= 46)
% - ta1% <= 250 ms (wc >= 40 rad/s)
% - T = 10 ms (ritardo introdotto a wc circa 11.5)


% Precisione statica
K1 = tf(1,[1 0]);
bode(K1*G)
grid
pause

% Specifiche precisione dinamica
K2 = 40*tf([1 1],[1 0]);
margin(K2*G);
grid
pause

SchemaTempoContinuo

% Controllore Tempo Discreto
Kd = c2d(K2,1e-2,'tustin');

SchemaTempoDiscreto

% Filtro Anti Aliasing
sys_f = tf(1,[1/500, 1])
T = 1e-3;
